Contributor
Contributor

KVM without EPT on ESXi 6.5?

Jump to solution

Hello, I would like to ask, if it would be somehow possible to enable nested virtualization on my server that has old Xeon E5440 and doesn't support EPT (VT-X with EPT).. Of course, if I try to "expose hardware assisted virtualization to guest", I get a notification that "Virtualized Intel VT-x/EPT is not supported on this platform. Continue without virtualized Intel VT-x/EPT?" and then I have to continue with saying "YES", which effectively disables KVM in virtual guests..

Is what I want even possible?

Thanks in advance..

Tags (4)
0 Kudos
1 Solution

Accepted Solutions
Virtuoso
Virtuoso

Hi,

You can run KVM if your virtual machine is 32-bit!

Intel VT-x or AMD-V is required for running "Nested Virtualization" which supports nested 32-bit VMs

Intel EPT or AMD RVI is required for running nested 64-bit VMs.

** If you found this note/reply useful, please consider awarding points for "Correct" or "Helpful" ** Davoud Teimouri - https://www.teimouri.net - Twitter: @davoud_teimouri Facebook: https://www.facebook.com/teimouri.net/

View solution in original post

0 Kudos
4 Replies
Virtuoso
Virtuoso

Hi,

As I know, the processor has VT-x technology and you be able to use it for virtualization.

Just check your server BIOS and enable virtualization on that.

** If you found this note/reply useful, please consider awarding points for "Correct" or "Helpful" ** Davoud Teimouri - https://www.teimouri.net - Twitter: @davoud_teimouri Facebook: https://www.facebook.com/teimouri.net/
0 Kudos
Contributor
Contributor

yes, it has VT-X, but without EPT.. that's the problem.. If it wouldn't even have VT-X at all, I wouldn't be able to run virtualized anything as far as I know.. The problem is nested virtualization (KVM) that doesn't work because of missing EPT. Basically, I was asking if there is any workaround for this..Thanks

0 Kudos
Virtuoso
Virtuoso

Hi,

You can run KVM if your virtual machine is 32-bit!

Intel VT-x or AMD-V is required for running "Nested Virtualization" which supports nested 32-bit VMs

Intel EPT or AMD RVI is required for running nested 64-bit VMs.

** If you found this note/reply useful, please consider awarding points for "Correct" or "Helpful" ** Davoud Teimouri - https://www.teimouri.net - Twitter: @davoud_teimouri Facebook: https://www.facebook.com/teimouri.net/

View solution in original post

0 Kudos
Contributor
Contributor

Thank you, I will mark your answer as correct even though it isn't really applicable to my case, because my VM is the GNS3-VM, which isn't available in 32 bit variant AFAIK.. Thanks anyway Smiley Happy

0 Kudos